Do you have code you feel that should be shared on some library, but
can't pin down on how it should be named, or structured? Are you
reusing tools that you are uncertain if optimal, or even if they solve
the right problem? Does everything seem in place, aligned, within
reach, and yet you just can't grab that bird?

If so, this package is for you.

# acme-kitchen-sink

A place for dumping that does-not-feel-right code while you talk about it and
make it good enough for somewhere else.

Our SLA provides at a minimum an unlimited supply of rubber ducks¹ to
help² you settle your open issues.

## Contributing

Every piece of code must be related to an open issue, with its number
pointed by at the code documentation comments.

The library must compile at all times.

Code should preferentially have names that do not conflict with well
used libraries, so people can better play with and evaluate it. When
unsure, feel free to add `Acme` modules at any namespace.

Try to keep extensions restricted to modules and non-conflicting.

This library is compiled with -Wall e -Wwarn-incomplete-patterns. Feel
free to disable warnings in modules when necessary. Just don't let
them spill into the terminal.

If you are in doubt if your code is good enough for this package, it
is. Open your issues and send a PR.

## Usage

Really??

The best practices manual for using this library follows:

> Don't.
>
> If you really insist, refrain from it.

Although copying and pasting code from here into your project *may* be
safe. Do it carefully. And tell about it on the respective issues and
subscribe to them.

What more can I say? In fact, I can say a lot!

Nobody ever got fired³ by choosing `acme-kitchen-sink`.

If deployment is necessary, `acme-catapult` may be an invaluable tool
for achieving very deterministic outcomes. If `acme-catapult` turns
out to be too restrictive for your needs, the Acme Jet Propulsion Lab
will gladly provide a series of products that will grant all the
needed flexibility for your kitchen-sink deployment procedures, just
make sure to be physically present at every stage.

Anyway, whatever deployment method is chosen, make sure to account for
the low latency and high responsivity of the deployment target. Also
ensure you have a direct path connecting you to the target, as there
have been many reports of problems with unreliable tunnels and
unexpected traffic surges within them.

You too can join the club of happy acme-kitchen-sink users. See what
some of our most famous users have to say about it and get a feel for
the kind of experiences acme-kitchen-sink can bring for you:

> "Acme-kitchen-sync feels like home! The overall architecture, the
> long reaching conventions, the enforced structure, the unity of
> design, the well thought-out decisions. Everything in it reminds my
> favorite programming environment."
>
> -- Proud PHP Programmer

---

>  "It was about time that lazy compiler started to give me *options*!
>  I'm used to tools that relentless look for ways to help me, and
>  keep me informed of all necessary details. Only after I imported
>  acme-kitchen-sink I started getting my usual amount of error
>  tracing information at compile time. I'll tell you - I don't miss
>  templates anymore."
>
> -- Converted C++ Coder

---

> "Out there on the road, there are no safe places, no retreats, no
> margin for error. Out there you'll suffer on every unpatched hole,
> every virtual construction will turn against you, you will
> eventually hit every boulder on your way, or it will hit you!
>
> It's a dog-eat-bird world out there, and on those situations you
> need nothing but *predictability*. That's why I use Acme, and the
> kitchen-sink didn't bring any less of it - it gets exactly the same
> quality of results I've grown to expect from any other Acme tool, no
> more, no less; no disappointments, no surprises.
>
> I can only say one thing about `acme-kitchen-sink`: __Would use again!__"
>  
> -- Willie C. - Certified Acme Product Deployer Expert (APDE)

----

## Is this Serious?

Well, yes, just not too serious.

I do think there is a need for a space for sharing uncertain code and
talking about it. This package provides it.

## Small Print

1 - May contain rubber.

2 - A duck insanity surcharge applies for any rubber duck gone mad in
consequence of high level Math sorcery.

3 - Acme declines any responsibility from semantic confusion emanating
from the similarity of that word with "burned", "smashed", "exploded",
"electrocuted" or "dropped out of a cliff". Acme also declines any
responsibility from iconic confusion by the similarity of the
previously mentioned icon and "fired at", that although sharing many
visual properties must not replace the above single standing,
prepositionless adjective.
